#![feature(
    coroutines,
    coroutine_trait,
    let_chains,
    stmt_expr_attributes,
    iter_intersperse
)]

pub mod antideps;
pub mod build;
pub mod dataflow;
pub mod def_use;
pub mod dom;
pub mod dot;
pub mod gcm;
pub mod ir;
pub mod loops;
pub mod parse;
pub mod schedule;
pub mod subgraph;
pub mod typecheck;
pub mod verify;

pub use crate::antideps::*;
pub use crate::build::*;
pub use crate::dataflow::*;
pub use crate::def_use::*;
pub use crate::dom::*;
pub use crate::dot::*;
pub use crate::gcm::*;
pub use crate::ir::*;
pub use crate::loops::*;
pub use crate::parse::*;
pub use crate::schedule::*;
pub use crate::subgraph::*;
pub use crate::typecheck::*;
pub use crate::verify::*;
