extern crate async_std;
extern crate clap;
extern crate hercules_rt;

// To compile currently, run from the Hercules project root directory:
// cargo run --bin hercules_driver hercules_samples/dot/dot.hir "Codegen"
// Then, you can execute this example with:
// cargo run --bin hercules_dot
hercules_rt::use_hman!("hercules_samples/dot/dot.hman");

fn main() {
    async_std::task::block_on(async {
        let mut a = vec![0.0, 1.0, 0.0, 2.0, 0.0, 3.0, 0.0, 4.0];
        let mut b = vec![0.0, 5.0, 0.0, 6.0, 0.0, 7.0, 0.0, 8.0];
        let c = unsafe { dot(a.as_mut_ptr(), b.as_mut_ptr(), 8).await };
        println!("{}", c,);
    });
}
